------------------------------------------------------------------------------------------------------------------------
--
-- SDK SQL Scriptfile
-- 
-- Creator            :	ADMINISTRATOR
-- Created            :	4/5/2011 11:05:28 AM
-- Version tool       :	4.1.0.165
-- Version script     :	400110405
-- Developer License  :	7777777:101:033
-- Developer Name     :	Globe w/SDK/ESS.
-- GroupName          :	CSEngage
-- Description        :	Engage Test
-- Term               :	0
-- GroupNumber        :	9201
-- Modules            :	SE5380|SE5386
-- SolutionType       :	0
-- Component          :	CSEngage
-- SequenceNumber     :	127
-- GroupID            :	{165A67ED-3779-47B1-9F66-B7EBED2D57F4}
--
-- Do not make changes in the generated section.
-- Any changes must be made in one of the user sections or at the end of this file.
------------------------------------------------------------------------------------------------------------------------

------------------------------------------------------------------------------------------------------------------------
--
-- GENERATED SECTION - Do not change!
--
------------------------------------------------------------------------------------------------------------------------

------------------------------------------------------------------------------------------------------------------------
-- STORED PROCEDURES
------------------------------------------------------------------------------------------------------------------------

------------------------------------------------------------------------------------------------------------------------
IF OBJECT_ID('dbo.CSCreateTable') IS NOT NULL DROP PROCEDURE dbo.CSCreateTable
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS OFF
GO
CREATE PROC dbo.CSCreateTable(@TableName varchar(30),@BaseTable varchar(60) = '',@CreateID tinyint = 1) AS
  DECLARE @SeqNr int
  IF NOT LEFT(UPPER(@TableName),2)= 'CS' BEGIN
      IF NOT EXISTS (SELECT ID FROM syscolumns WHERE ID = OBJECT_ID(@BaseTable) AND name = 'syscreated') BEGIN
          EXECUTE CSCreateColumn @BaseTable,'syscreated','datetime NOT NULL','DEFAULT getdate()','syscreated',0,1048609,8,1,0,0
      END
      IF NOT EXISTS (SELECT ID FROM syscolumns WHERE ID = OBJECT_ID(@BaseTable) AND name = 'syscreator') BEGIN
          EXECUTE CSCreateColumn @BaseTable,'syscreator','int NOT NULL','DEFAULT 0','syscreator',0,1048583,4,1,0,0
      END
      IF NOT EXISTS (SELECT ID FROM syscolumns WHERE ID = OBJECT_ID(@BaseTable) AND name = 'sysmodified') BEGIN
          EXECUTE CSCreateColumn @BaseTable,'sysmodified','datetime NOT NULL','DEFAULT getdate()','sysmodified',0,1048609,8,1,0,0
      END
      IF NOT EXISTS (SELECT ID FROM syscolumns WHERE ID = OBJECT_ID(@BaseTable) AND name = 'sysmodifier') BEGIN
          EXECUTE CSCreateColumn @BaseTable,'sysmodifier','int NOT NULL','DEFAULT 0','sysmodifier',0,1048583,4,1,0,0
      END
      IF NOT EXISTS (SELECT ID FROM syscolumns WHERE ID = OBJECT_ID(@BaseTable) AND name = 'sysguid') BEGIN
          IF UPPER(@BaseTable) <> 'ITEMNUMBERS' AND UPPER(@BaseTable) <> 'ABSENCES' AND UPPER(@BaseTable) <> 'ADDRESSES' BEGIN
              EXECUTE CSCreateColumn @BaseTable,'sysguid','uniqueidentifier NOT NULL ROWGUIDCOL','DEFAULT newid()','sysguid',0,1048610,16,1,0,0
          END
      END
      IF NOT EXISTS (SELECT ID FROM DDColumns WHERE TableName = @BaseTable AND ColumnName = 'verwijder') BEGIN
        SELECT @SeqNr = MAX(SeqNr) + 1 FROM DDColumns WHERE TableName = @BaseTable
        IF @SeqNr IS NOT NULL BEGIN
            INSERT INTO DDColumns (TableName, ColumnName,Description,TermID,Type,Length,Dimensions,Scale,Flags,SeqNr)
                VALUES (@BaseTable,'verwijder','Delete',16636,68157453,1,1,0,0,@SeqNr)
        END
      END
      IF NOT EXISTS (SELECT ID FROM syscolumns WHERE ID = OBJECT_ID(@BaseTable) AND name = 'timestamp') BEGIN
          EXEC('ALTER TABLE ' + @BaseTable + ' ADD timestamp timestamp NOT NULL')
      END
  END
  IF LEFT(UPPER(@TableName),2)= 'CS' OR LEFT(UPPER(@TableName),3) = 'SDK' BEGIN
      IF @CreateID = 1 BEGIN
          IF NOT EXISTS (SELECT name FROM sysobjects WHERE name = @TableName) BEGIN
              EXEC('CREATE TABLE dbo.' + @TableName + '(ID int IDENTITY CONSTRAINT PK_' + @TableName + ' PRIMARY KEY NONCLUSTERED)')
          END
      END
      
  END
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
------------------------------------------------------------------------------------------------------------------------
IF OBJECT_ID('dbo.CSCreateColumn') IS NOT NULL DROP PROCEDURE dbo.CSCreateColumn
SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS OFF
GO
CREATE PROC dbo.CSCreateColumn(@TableName char(30), @ColumnName varchar(60), @Parameter varchar(100), @Default varchar(30), @Description varchar(100), @TermID int, @DimType bigint, @Length int, @Dimensions int, @Scale int, @Flags int,@SectionName varchar(250) = '',@Reference varchar(250) = '') AS
  DECLARE @SeqNr int
  DECLARE @Counter int
  DECLARE @DimColumnName varchar(60)
  SET @Counter = 0
  SET @DimColumnName = @ColumnName
  IF NOT EXISTS (SELECT name FROM sysobjects WHERE name = @TableName) BEGIN
      EXEC('CREATE TABLE dbo.' + @TableName + '(' + @DimColumnName + ' ' + @Parameter + ' ' + @Default + ')')
  END
  WHILE @Counter < @Dimensions BEGIN
      IF @Dimensions > 1 BEGIN
          SET @DimColumnName = @ColumnName + '_' + CONVERT(char(2), @Counter)
      END
      IF NOT EXISTS (SELECT ID FROM syscolumns WHERE ID = OBJECT_ID(@TableName) AND name = @DimColumnName) BEGIN
          EXEC('ALTER TABLE ' + @TableName + ' ADD ' + @DimColumnName + ' ' + @Parameter + ' ' + @Default + '')
      END ELSE BEGIN
          IF NOT @ColumnName = 'sysguid' AND NOT @Parameter = 'TEXT NULL' AND NOT @ColumnName = 'ID' AND NOT (@DimType & 255) = 44 BEGIN
              EXEC('ALTER TABLE ' + @TableName + ' ALTER COLUMN ' + @DimColumnName + ' ' + @Parameter + '')
          END
      END
      SET @Counter = @Counter + 1
  END
  IF EXISTS (SELECT TableName FROM DDColumns WHERE TableName = @TableName) BEGIN
      SELECT @SeqNr = MAX(SeqNr) + 1 FROM DDColumns WHERE TableName = @TableName
  END ELSE BEGIN
      SET @SeqNr = 0
  END
--DDType 51 is used for Front office text, when SDKDeveloper toolkit then also create DD, will be
--deleted again in the CSSDKDevCustomSolutions.sql
  IF (@DimType & 255) <> 51 OR (SELECT StringValue FROM BacoSettings WHERE SettingType = 0 AND SettingGroup = 'general' AND SettingName = 'GroupID') <> '' BEGIN 
      IF NOT EXISTS (SELECT ID FROM DDColumns WHERE Tablename = @TableName AND ColumnName = @DimColumnName) BEGIN 
          IF UPPER(@ColumnName) <> 'SYSGUID' OR (LEFT(UPPER(@TableName),2)= 'CS' OR LEFT(UPPER(@TableName),3) = 'SDK') BEGIN
              IF @TermID IS NOT NULL SELECT @TermID = ID FROM TermsCustomized WHERE substring(CSTermID, len(CSTermID)-5, 6) = @TermID
              INSERT INTO DDColumns (TableName, ColumnName,Description,TermID,Type,Length,Dimensions,Scale,Flags,SeqNr)
              VALUES (@TableName,@ColumnName,@Description,@TermID,@DimType,@Length,@Dimensions,@Scale,@Flags,@SeqNr)
          END
      END
  END
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
------------------------------------------------------------------------------------------------------------------------
IF OBJECT_ID('dbo.CSCreateIndex') IS NOT NULL DROP PROCEDURE dbo.CSCreateIndex
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS OFF
GO
CREATE PROC dbo.CSCreateIndex(@TableName char(30), @IndexName varchar(60), @ColumnName varchar(190), @TypeUnique int, @Clustered int = 1) AS
  DECLARE @SeqNr int
  IF EXISTS(SELECT ID FROM DDIndexes WHERE TableName = @TableName) BEGIN
      SELECT @SeqNr = MAX(SeqNr) + 1 FROM DDIndexes WHERE TableName = @TableName
  END ELSE BEGIN
      SET @SeqNr = 0
  END
  IF NOT EXISTS(SELECT ID FROM DDIndexes WHERE IndexName = @IndexName AND TableName = @TableName) BEGIN
      IF @Clustered = 0 BEGIN
          EXEC('CREATE UNIQUE CLUSTERED INDEX ' + @IndexName  + ' ON dbo.' + @TableName + '(' + @ColumnName + ')')
          EXEC('INSERT INTO DDIndexes (TableName,IndexName,Type,SeqNr) VALUES (''' + @TableName + ''',''' + @IndexName + ''',' + @TypeUnique + ',' + @SeqNr + ')')
      END ELSE BEGIN
          IF @TypeUnique = 0 BEGIN
              EXEC('CREATE UNIQUE INDEX ' + @IndexName + ' ON dbo.' + @TableName + '(' + @ColumnName + ')')
              EXEC('INSERT INTO DDIndexes (TableName,IndexName,Type,SeqNr) VALUES (''' + @TableName + ''',''' + @IndexName + ''',' + @TypeUnique + ',' + @SeqNr + ')')
          END ELSE BEGIN
              EXEC('CREATE INDEX ' + @IndexName + ' ON dbo.' + @TableName + '(' + @ColumnName + ')')
              EXEC('INSERT INTO DDIndexes (TableName,IndexName,Type,SeqNr) VALUES (''' + @TableName + ''',''' + @IndexName + ''',' + @TypeUnique + ',' + @SeqNr + ')')
          END
      END
  END
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
------------------------------------------------------------------------------------------------------------------------
IF OBJECT_ID('dbo.CSCreateReference') IS NOT NULL DROP PROCEDURE dbo.CSCreateReference
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS OFF
GO
CREATE PROC dbo.CSCreateReference(@TableName char(30), @ReferenceName varchar(60), @ColumnName varchar(60), @TargetTableName char(30), @TargetIndexName char(30), @ReferenceDelType char(1)) AS
  DECLARE @SeqNr int
  IF NOT EXISTS(SELECT ID FROM DDReferences WHERE ReferenceName = @ReferenceName AND TableName = @TableName) BEGIN
      EXEC('INSERT INTO DDReferences (TableName,ReferenceName,TargetTableName,TargetIndexName,DeletionType)
              VALUES (''' + @TableName + ''',''' + @ReferenceName + ''',''' + @TargetTableName + ''',''' + @TargetIndexName + ''',''' + @ReferenceDelType + ''')')
  END
  IF EXISTS (SELECT ID FROM DDReferenceColumns WHERE TableName = @TableName AND ReferenceName = @ReferenceName) BEGIN
      SELECT @SeqNr = MAX(SeqNr) + 1 FROM DDReferenceColumns WHERE TableName = @TableName AND ReferenceName = @ReferenceName
  END ELSE BEGIN
      SET @SeqNr = 0
  END
  IF NOT EXISTS (SELECT ID FROM DDReferenceColumns WHERE TableName = @TableName AND ReferenceName = @ReferenceName AND ColumnName = @ColumnName) BEGIN
  EXEC('INSERT INTO DDReferenceColumns (TableName,ReferenceName,ColumnName,SeqNr)
          VALUES (''' + @TableName + ''',''' + @ReferenceName + ''',''' + @ColumnName + ''',' + @SeqNr + ')') END
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
------------------------------------------------------------------------------------------------------------------------
IF OBJECT_ID('dbo.CSCreateTestValues') IS NOT NULL DROP PROCEDURE dbo.CSCreateTestValues
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS OFF
GO
CREATE PROC dbo.CSCreateTestValues(@TableName char(30), @ColumnName varchar(60), @DatabaseChar char(1), @DisplayChar char(1), @Description char(100), @TermID int, @Options char(30)) AS
  DECLARE @SeqNr int
  IF EXISTS (SELECT ID FROM DDTests WHERE TableName = @TableName AND FieldName = @ColumnName) BEGIN
      SELECT @SeqNr = MAX(SeqNr) + 1 FROM DDTests WHERE TableName = @TableName AND FieldName = @ColumnName
  END ELSE BEGIN
      SET @SeqNr = 0
  END
  IF @TermID IS NOT NULL SELECT @TermID = ID FROM TermsCustomized WHERE substring(CSTermID, len(CSTermID)-5, 6) = @TermID
  INSERT INTO DDTests (TableName,FieldName,DatabaseChar,DisplayChar,Description,TermId,Options,SeqNr)
      VALUES (@TableName,@ColumnName,@DatabaseChar,@DisplayChar,@Description,@TermID,@Options,@SeqNr)
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
------------------------------------------------------------------------------------------------------------------------
IF OBJECT_ID('dbo.CSCreateDefaultValues') IS NOT NULL DROP PROCEDURE dbo.CSCreateDefaultValues
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS OFF
GO
CREATE PROCEDURE dbo.CSCreateDefaultValues(@TableName varchar(30), @ColumnName varchar(60), @NewDefaultValue varchar(80)) AS
  DECLARE @OldDefaultValue varchar(80)
  DECLARE @OldConstraint sysname
  DECLARE @NewConstraint sysname
  SELECT @OldConstraint = (SELECT sysobjects.name FROM sysconstraints INNER JOIN syscolumns on sysconstraints.id = syscolumns.id AND sysconstraints.colid = syscolumns.colid INNER JOIN sysobjects on sysobjects.id = sysconstraints.constid AND sysobjects.parent_obj = sysconstraints.id WHERE syscolumns.name = @ColumnName AND syscolumns.id = OBJECT_ID(@TableName))
  SELECT @OldDefaultValue = (SELECT syscomments.text FROM syscolumns, syscomments WHERE syscolumns.cdefault = syscomments.id AND syscolumns.id = OBJECT_ID(@TableName) AND syscolumns.name = @ColumnName)
  SELECT @OldDefaultValue = (LEFT(@OldDefaultValue, (LEN(@OldDefaultValue)-1)))
  SELECT @OldDefaultValue = (RIGHT(@OldDefaultValue, (LEN(@OldDefaultValue)-1)))
  IF (@OldDefaultValue IS NULL) OR (NOT @OldDefaultValue = @NewDefaultValue) BEGIN
    IF NOT (@OldConstraint IS NULL OR @OldConstraint = '') BEGIN
      EXEC('ALTER TABLE ' + @TableName + ' DROP CONSTRAINT ' + @OldConstraint)
      IF NOT (@NewDefaultValue = '''''' OR @NewDefaultValue = '') BEGIN
        EXEC('ALTER TABLE ' + @TableName + ' ADD CONSTRAINT ' + @OldConstraint + ' DEFAULT ' + @NewDefaultValue + ' FOR ' + @ColumnName + '')
      END
    END ELSE BEGIN
      IF NOT (@NewDefaultValue = '''''' OR @NewDefaultValue = '') BEGIN
        SELECT @NewConstraint = 'DF_' + @TableName
        IF LEN(@NewConstraint) > 10 SELECT @NewConstraint = LEFT(@NewConstraint,10)
        SELECT @NewConstraint = @NewConstraint + '_' + @ColumnName
        IF LEN(@NewConstraint) > 21 SELECT @NewConstraint = LEFT(@Newconstraint,21)
        SELECT @Newconstraint = @NewConstraint + '_' + LEFT(NEWID(),8)
        EXEC('ALTER TABLE ' + @TableName + ' ADD CONSTRAINT ' + @NewConstraint + ' DEFAULT ' + @NewDefaultValue + ' FOR ' + @ColumnName + '')
      END
    End
  End
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
------------------------------------------------------------------------------------------------------------------------
IF OBJECT_ID('dbo.CSCreateDeleteTrigger') IS NOT NULL DROP PROCEDURE dbo.CSCreateDeleteTrigger
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS OFF
GO
CREATE PROC dbo.CSCreateDeleteTrigger(@Table char(30), @Column varchar(60), @BaseTable char(30), @BaseTableColumn varchar(60)) AS
  DECLARE @TriggerName varchar(50)
  SET @TriggerName = 'TD_' + @Table
  IF EXISTS (SELECT name FROM sysobjects WHERE name = @TriggerName AND type = 'TR') BEGIN
      EXEC('DROP TRIGGER ' + @TriggerName + '')
  END
  EXEC('CREATE TRIGGER ' + @TriggerName + ' ON ' + @BaseTable + ' AFTER DELETE AS
          DELETE FROM ' + @Table + ' WHERE ' + @Table + '.' + @Column + ' IN (SELECT ' + @BaseTableColumn + ' FROM Deleted)')
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
------------------------------------------------------------------------------------------------------------------------
IF OBJECT_ID('dbo.CSFinalizeTable') IS NOT NULL DROP PROCEDURE dbo.CSFinalizeTable
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS OFF
GO
CREATE PROCEDURE dbo.CSFinalizeTable(@TableName char(30), @TermId int, @Description varchar(50), @Abbreviation varchar(20), @Uid char(30), @Flags int) AS
  DECLARE @SeqNr int
  IF LEFT(UPPER(@TableName),2) = 'CS' OR LEFT(UPPER(@TableName),3) = 'SDK' BEGIN
      EXECUTE CSCreateColumn @TableName,'syscreated','datetime NOT NULL','DEFAULT getdate()','syscreated',0,1048609,8,1,0,0
      EXECUTE CSCreateColumn @TableName,'syscreator','int NOT NULL','DEFAULT 0','syscreator',0,1048583,4,1,0,0
      EXECUTE CSCreateColumn @TableName,'sysmodified','datetime NOT NULL','DEFAULT getdate()','sysmodified',0,1048609,8,1,0,0
      EXECUTE CSCreateColumn @TableName,'sysmodifier','int NOT NULL','DEFAULT 0','sysmodifier',0,1048583,4,1,0,0
      EXECUTE CSCreateColumn @TableName,'sysguid','uniqueidentifier NOT NULL ROWGUIDCOL','DEFAULT newid()','sysguid',0,1048610,16,1,0,0
      SELECT @SeqNr = MAX(SeqNr) + 1 FROM DDColumns WHERE TableName = @TableName
      IF NOT EXISTS (SELECT ID FROM DDCOlumns WHERE Tablename = @TableName AND ColumnName = 'verwijder') BEGIN
          INSERT INTO DDColumns (TableName, ColumnName,Description,TermID,Type,Length,Dimensions,Scale,Flags,SeqNr)
              VALUES (@TableName,'verwijder','Delete',16636,68157453,1,1,0,0,@SeqNr)
      END
      IF NOT EXISTS (SELECT ID FROM syscolumns WHERE ID = OBJECT_ID(@TableName) AND name = 'timestamp') BEGIN
          EXEC('ALTER TABLE ' + @TableName + ' ADD timestamp timestamp NOT NULL')
      END
      IF NOT EXISTS (SELECT ID FROM DDTables WHERE Tablename = @TableName) BEGIN
          IF @TermID IS NOT NULL SELECT @TermID = ID FROM TermsCustomized WHERE substring(CSTermID, len(CSTermID)-5, 6) = @TermID
          INSERT INTO DDTables (TableName, TermID, Description, Abbr, Uid, ReportOptions, Flags)
              VALUES (@TableName,@TermId,@Description,@Abbreviation,@Uid,'',@Flags)
      END
  END
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
------------------------------------------------------------------------------------------------------------------------
IF OBJECT_ID('dbo.CSDropProcedures') IS NOT NULL DROP PROCEDURE dbo.CSDropProcedures
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS OFF
GO
CREATE PROCEDURE dbo.CSDropProcedures(@TableName char(30)) AS
  IF OBJECT_ID('dbo.efwGet' + @TableName + '') IS NOT NULL EXEC('DROP PROCEDURE dbo.efwGet' + @TableName + '')
  IF OBJECT_ID('dbo.efwGetLock' + @TableName + '') IS NOT NULL EXEC('DROP PROCEDURE dbo.efwGetLock' + @TableName + '')
  IF OBJECT_ID('dbo.efwLock' + @TableName + '') IS NOT NULL EXEC('DROP PROCEDURE dbo.efwLock' + @TableName + '')
  IF OBJECT_ID('dbo.efwInsert' + @TableName + '') IS NOT NULL EXEC('DROP PROCEDURE dbo.efwInsert' + @TableName + '')
  IF OBJECT_ID('dbo.efwUpdate' + @TableName + '') IS NOT NULL EXEC('DROP PROCEDURE dbo.efwUpdate' + @TableName + '')
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
------------------------------------------------------------------------------------------------------------------------
IF OBJECT_ID('dbo.CSMenuAdd') IS NOT NULL DROP PROCEDURE dbo.CSMenuAdd
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS OFF
GO
CREATE PROC dbo.CSMenuAdd(@guid uniqueidentifier, @type char(1), @guidroot uniqueidentifier, @guidparent uniqueidentifier, @sequence int, @treelevel int, @descr64 char(64), @keyshortcut char(1), @fnc_id char(20), @term_id int = 0, @hlpcontext varchar(128) = NULL, @icon int = 0, @options text = NULL, @settings varchar(100) = NULL, @pwreg int = 1, @helpid int = 0) AS
  DECLARE @root_id int
  DECLARE @prnt_id int
  IF @guidroot IS NULL BEGIN
      SELECT @root_id = 0
  END ELSE BEGIN
      SELECT @root_id = (SELECT TOP 1 mnu_id FROM sysmnu WHERE sysguid = @guidroot)
  END
  IF @guidparent IS NULL BEGIN
      SELECT @prnt_id = 0
  END ELSE BEGIN
      SELECT @prnt_id = (SELECT TOP 1 mnu_id FROM sysmnu WHERE sysguid = @guidparent)
  END
  IF @type = 'M' BEGIN
      SELECT @fnc_id = ''
  END
  IF @root_id IS NOT NULL BEGIN
      INSERT INTO sysmnu(sysguid, m_type, root_id, prnt_id, fnc_id, seq_no, tree_level, descr64, keyshortcut)
      VALUES(@guid, @type, @root_id, @prnt_id, @fnc_id, @sequence, @treelevel, @descr64, @keyshortcut)
      IF @type = 'M' BEGIN
          SELECT @fnc_id = 'SM' + CONVERT(varchar(10), @@IDENTITY)
          UPDATE sysmnu SET fnc_id = @fnc_id WHERE sysguid = @guid
      END
      IF @type = 'G' OR @type = 'M' BEGIN
         IF @term_id IS NOT NULL SELECT @term_id = ID FROM TermsCustomized WHERE substring(CSTermID, len(CSTermID)-5, 6) = @term_id
         INSERT INTO pwfunc (fnc_id, term_id, descr64, icon, option_exp, settings, app_type, rtype, pwreg, mpackage_0, helpcontext)
             VALUES (@fnc_id, @term_id, @descr64, @icon, @options, @settings, 'M', 'S', @pwreg, @helpid, @hlpcontext)
      END
  END
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
------------------------------------------------------------------------------------------------------------------------
IF OBJECT_ID('dbo.CSFunctionAdd') IS NOT NULL DROP PROCEDURE dbo.CSFunctionAdd
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS OFF
GO
CREATE PROC dbo.CSFunctionAdd(@fnc_id char(20), @apptype char(1), @descr64 char(64), @term_id int, @icon int, @rightstype char(1), @exename varchar(256), @param varchar(256), @slic varchar(256), @sparam varchar(256), @pwreg int, @options text, @settings varchar(100), @helpid int = 0, @sysguid uniqueidentifier = NULL, @helpcontext varchar(128) = NULL) AS
  IF @sysguid IS NULL SELECT @sysguid = NEWID()
  IF @term_id IS NOT NULL SELECT @term_id = ID FROM TermsCustomized WHERE substring(CSTermID, len(CSTermID)-5, 6) = @term_id
  INSERT INTO PWFUNC(fnc_id, term_id, descr64, app_type, rtype, pwreg, exename, param, option_exp, settings, slic, sparam, icon, mpackage_0, sysguid, helpcontext)
      VALUES(@fnc_id, @term_id, @descr64, @apptype, @rightstype, @pwreg, @exename, @param, @options, @settings, @slic, @sparam, @icon, @helpid, @sysguid, @helpcontext)
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
------------------------------------------------------------------------------------------------------------------------
IF OBJECT_ID('dbo.CSStartMenu') IS NOT NULL DROP PROCEDURE dbo.CSStartMenu
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS OFF
GO
CREATE PROC dbo.CSStartMenu AS
  IF OBJECT_ID('dbo.CSTempMenu') IS NOT NULL DROP TABLE dbo.CSTempMenu
  CREATE TABLE dbo.CSTempMenu(
      ScriptId  int PRIMARY KEY CLUSTERED,
      SqlGuid   uniqueidentifier)
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
------------------------------------------------------------------------------------------------------------------------
IF OBJECT_ID('dbo.CSAddMenu') IS NOT NULL DROP PROCEDURE dbo.CSAddMenu
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS OFF
GO
CREATE PROC dbo.CSAddMenu(@Index int, @AppType char(1), @Description char(64), @ExeName char(32), @SlicName char(32), @FunctionID char(20), @Icon int, @Params char(32), @Parent int, @SequenceNo int, @ShortcutKey char(2), @TermID int) AS
  DECLARE @ParentGuid uniqueidentifier
  DECLARE @RootGuid uniqueidentifier
  DECLARE @Guid uniqueidentifier
  DECLARE @SeqNr int
  IF @Parent = 1 BEGIN
      SELECT @ParentGuid = '{1331D57B-62F3-4269-8307-74C7026355F5}'
  END ELSE BEGIN
      SELECT @ParentGuid = (SELECT TOP 1 SqlGuid FROM dbo.CSTempMenu WHERE ScriptId = @Parent)
  END
  SELECT @RootGuid = (SELECT TOP 1 sysguid FROM sysmnu WHERE fnc_id = 'Go menu 1' ORDER BY mnu_id)
  SELECT @Guid = (NEWID())
  IF @AppType = 'M' AND @ParentGuid = '{1331D57B-62F3-4269-8307-74C7026355F5}' BEGIN
      SET @SeqNr = 0
  END ELSE BEGIN
      SELECT @SeqNr = (SELECT 1 + MAX(seq_no) FROM sysmnu WHERE prnt_id IN (SELECT mnu_id FROM sysmnu WHERE sysguid = @ParentGuid))
      IF @SeqNr IS NULL SET @SeqNr = 0
  END
  IF NOT @RootGuid IS NULL AND NOT @ParentGuid IS NULL BEGIN
      INSERT INTO dbo.CSTempMenu(ScriptId) VALUES (@Index)
      IF @AppType = 'F' BEGIN
          IF @SlicName = '' BEGIN
              EXECUTE CSFunctionAdd @FunctionId,'E',@Description,@TermID,@Icon,'N',@ExeName,@Params,NULL,NULL,0,NULL,NULL
          END ELSE BEGIN
              EXECUTE CSFunctionAdd @FunctionId,'S',@Description,@TermID,@Icon,'N',@SlicName,@Params,@SlicName,@Params,0,NULL,NULL
          END
      END
      EXECUTE CSMenuAdd @Guid,@AppType,@RootGuid,@ParentGuid,@SeqNr,0,@Description,@ShortcutKey,@FunctionId,@TermID,NULL,@Icon
      UPDATE dbo.CSTempMenu SET SqlGuid = @Guid WHERE ScriptId = @Index
  END
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
------------------------------------------------------------------------------------------------------------------------
IF OBJECT_ID('dbo.CSFinishMenu') IS NOT NULL DROP PROCEDURE dbo.CSFinishMenu
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS OFF
GO
CREATE PROC dbo.CSFinishMenu AS
  DROP TABLE dbo.CSTempMenu
  UPDATE syscrc SET ewfCrc = ewfCrc + 1
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
GO
IF OBJECT_ID('dbo.CSAddSections') IS NOT NULL DROP PROCEDURE dbo.CSAddSections
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS OFF
GO
CREATE PROC dbo.CSAddSections(@ASPPageID uniqueidentifier,@ASPSectionName varchar(100),@TermId int,@ASPReference varchar(100),@ASPStandardSectionID uniqueidentifier = Null,@GroupID uniqueidentifier = Null,@PropID uniqueidentifier = Null) AS
  IF OBJECT_ID('dbo.SDKASPSections') IS NOT NULL BEGIN
      INSERT INTO SDKASPSections (ASPSectionID,ASPPageID,ASPSectionName,TermID,ASPReference,StandardSectionID,GroupID,PropID)
          VALUES (NewID(),@ASPPageID,@ASPSectionName,@TermId,@ASPReference,@ASPStandardSectionID,@GroupID,@PropID)
  END
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
------------------------------------------------------------------------------------------------------------------------
IF OBJECT_ID('dbo.CSAddSynergySettings') IS NOT NULL DROP PROCEDURE dbo.CSAddSynergySettings
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS OFF
GO
CREATE PROC dbo.CSAddSynergySettings(@SettingGroup varchar(100),@SettingName varchar(100),@ValueType int,@Value varchar(100),@GroupID int) AS
  DECLARE @StringValue char(255)
  DECLARE @LongValue int
  DECLARE @DoubleValue float
  DECLARE @DateValue datetime
  IF EXISTS (SELECT SettingName FROM BacoSettings WHERE SettingGroup = @SettingGroup AND SettingName = @SettingName) BEGIN
      EXEC('UPDATE BacoSettings SET ValueType = ''' + @ValueType + ''' WHERE SettingGroup = ''' + @SettingGroup + ''' AND SettingName = ''' + @SettingName + '''')
  END ELSE BEGIN
 
      IF @ValueType = 0 BEGIN
          SET @StringValue = @Value
      END
      IF @ValueType = 1 BEGIN
          SET @LongValue = @Value
      END
      IF @ValueType = 2 BEGIN
          SET @DoubleValue = @Value
      END
      IF @ValueType = 3 BEGIN
          SET @DateValue = @Value
      END
  
      EXEC bacoSetSetting 0,@SettingGroup,@SettingName,@ValueType,@StringValue,@LongValue,@DoubleValue,@DateValue
  END
  EXEC('INSERT INTO SDKSettingGroup (SettingGroup, SettingName, GroupID, Bacosettings) VALUES (''' + @SettingGroup + ''',''' + @SettingName + ''',' + @GroupID + ',1)')

GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
------------------------------------------------------------------------------------------------------------------------

------------------------------------------------------------------------------------------------------------------------
--
-- FIRST USER SECTION START
--
------------------------------------------------------------------------------------------------------------------------

------------------------------------------------------------------------------------------------------------------------
--
-- FIRST USER SECTION END
--
------------------------------------------------------------------------------------------------------------------------

------------------------------------------------------------------------------------------------------------------------
-- TABLES
------------------------------------------------------------------------------------------------------------------------

------------------------------------------------------------------------------------------------------------------------
-- TABLE: SDKitm
------------------------------------------------------------------------------------------------------------------------
EXECUTE CSCreateTable 'SDKitm','Items',1
EXECUTE CSCreateColumn 'SDKitm','LINKID','uniqueidentifier NULL','','Link ID',0,34,16,1,0,0
EXECUTE CSCreateIndex 'SDKitm','SDKitm','LINKID',0,0
IF NOT EXISTS (SELECT * FROM DDIndexColumns WHERE TableName = 'SDKitm ' AND IndexName = 'SDKitm' ) BEGIN
INSERT INTO DDIndexColumns (TableName,IndexName,ColumnName,SeqNr) VALUES ('SDKitm','SDKitm','LINKID',0)
END
EXECUTE CSCreateDeleteTrigger 'SDKitm','LINKID','Items','sysguid'
EXECUTE CSCreateReference 'Items','SDKLinkReference','sysguid','SDKitm','SDKitm','R'
EXECUTE CSCreateColumn 'SDKitm','Fabric','char(20) NULL','','Fabric',0,1,20,1,0,0,'',''
EXECUTE CSCreateColumn 'SDKitm','Fabric2','char(20) NULL','','Fabric2',0,270532609,20,1,0,0,'',''
EXECUTE CSCreateReference 'SDKitm','CssdkFabric2','Fabric2','CSSDKFabric','IXFabric','R'
EXECUTE CSCreateColumn 'SDKitm','Length','char(20) NULL','','Length',0,1,20,1,0,0,'',''
EXECUTE CSFinalizeTable 'SDKitm',9889,'SDKItems','SDKitm','Fabric',0
EXECUTE CSDropProcedures 'SDKitm'
GO
------------------------------------------------------------------------------------------------------------------------
-- TABLE: SDKsrg
------------------------------------------------------------------------------------------------------------------------
EXECUTE CSCreateTable 'SDKsrg','orsrg',1
EXECUTE CSCreateColumn 'SDKsrg','LINKID','uniqueidentifier NULL','','Link ID',0,34,16,1,0,0
EXECUTE CSCreateIndex 'SDKsrg','SDKsrg','LINKID',0,0
IF NOT EXISTS (SELECT * FROM DDIndexColumns WHERE TableName = 'SDKsrg ' AND IndexName = 'SDKsrg' ) BEGIN
INSERT INTO DDIndexColumns (TableName,IndexName,ColumnName,SeqNr) VALUES ('SDKsrg','SDKsrg','LINKID',0)
END
EXECUTE CSCreateDeleteTrigger 'SDKsrg','LINKID','orsrg','sysguid'
EXECUTE CSCreateReference 'orsrg','SDKLinkReference','sysguid','SDKsrg','SDKsrg','R'
EXECUTE CSCreateColumn 'SDKsrg','Length','char(20) NULL','','Length',0,1,20,1,0,0,'',''
EXECUTE CSCreateColumn 'SDKsrg','Fabric','char(20) NULL','','Fabric',0,270532609,20,1,0,0,'',''
EXECUTE CSCreateReference 'SDKsrg','CSSDKFabric','Fabric','CSSDKFabric','IXFabric','R'
EXECUTE CSCreateColumn 'SDKsrg','ProgNotes','char(20) NULL','','Programming Notes',0,1,20,1,0,0,'',''
EXECUTE CSFinalizeTable 'SDKsrg',15507,'SDKOrder lines','SDKsrg','Fabric',0
EXECUTE CSDropProcedures 'SDKsrg'
GO
------------------------------------------------------------------------------------------------------------------------
-- TABLE: CSSDKFabric
------------------------------------------------------------------------------------------------------------------------
EXECUTE CSCreateTable 'CSSDKFabric','',1
EXECUTE CSCreateColumn 'CSSDKFabric','Fabric','char(20) NULL','','Fabric',0,1,20,1,0,0,'',''
EXECUTE CSCreateColumn 'CSSDKFabric','Color','char(1) NULL','','Color',0,12,1,1,0,0,'',''
EXECUTE CSCreateTestValues 'CSSDKFabric', 'Color', 'R', 'R','Red', 0, '0'
EXECUTE CSCreateTestValues 'CSSDKFabric', 'Color', 'B', 'B','Blue', 0, '0'
EXECUTE CSCreateTestValues 'CSSDKFabric', 'Color', 'G', 'G','Green', 0, '0'
EXECUTE CSCreateColumn 'CSSDKFabric','Material','char(20) NULL','','Material',0,1,20,1,0,0,'',''
EXECUTE CSFinalizeTable 'CSSDKFabric',0,'Fabric Descriptions','CSSDKFABRIC','Fabric',24
EXECUTE CSCreateIndex 'CSSDKFabric','IXFabric','Fabric',1,1
  INSERT INTO DDIndexColumns (TableName,IndexName,ColumnName,SeqNr) VALUES ('CSSDKFabric','IXFabric','Fabric',0)
EXECUTE CSDropProcedures 'CSSDKFabric'
GO
------------------------------------------------------------------------------------------------------------------------
-- TABLE: SDKohs
------------------------------------------------------------------------------------------------------------------------
EXECUTE CSCreateTable 'SDKohs','orhsrg',1
EXECUTE CSCreateColumn 'SDKohs','LINKID','uniqueidentifier NULL','','Link ID',0,34,16,1,0,0
EXECUTE CSCreateIndex 'SDKohs','SDKohs','LINKID',0,0
IF NOT EXISTS (SELECT * FROM DDIndexColumns WHERE TableName = 'SDKohs ' AND IndexName = 'SDKohs' ) BEGIN
INSERT INTO DDIndexColumns (TableName,IndexName,ColumnName,SeqNr) VALUES ('SDKohs','SDKohs','LINKID',0)
END
EXECUTE CSCreateDeleteTrigger 'SDKohs','LINKID','orhsrg','sysguid'
EXECUTE CSCreateReference 'orhsrg','SDKLinkReference','sysguid','SDKohs','SDKohs','R'
EXECUTE CSCreateColumn 'SDKohs','Length','char(20) NULL','','Length',0,1,20,1,0,0,'',''
EXECUTE CSCreateColumn 'SDKohs','Fabric','char(20) NULL','','Fabric',0,270532609,20,1,0,0,'',''
EXECUTE CSCreateReference 'SDKohs','CSSDKFabric','Fabric','CSSDKFabric','IXFabric','R'
EXECUTE CSCreateColumn 'SDKohs','ProgNotes','char(20) NULL','','Programming Notes',0,1,20,1,0,0,'',''
EXECUTE CSFinalizeTable 'SDKohs',565,'SDKDelivery note lines','SDKohs','Fabric',0
EXECUTE CSDropProcedures 'SDKohs'
GO

------------------------------------------------------------------------------------------------------------------------
--CREATE REPOSITORY Stand Alone table.
------------------------------------------------------------------------------------------------------------------------
EXEC ebcInsertGroup 9201,'CSEngage','Engage Test',NULL
GO
EXEC ebcInsertPropType 0x5C83397076B35F46A7E1170F8394757E,9201,0,'CSEngageType10000001',1,NULL,0,0,0,0,0,0,0,0,'',NULL,NULL,NULL,NULL,NULL
EXEC ebcInsertPropType 0x28C3268824BDB84B9B15216BA5D01738,9201,0,'CSEngageType10000002',20,NULL,0,0,0,0,0,0,0,0,'',NULL,NULL,NULL,NULL,NULL
GO
EXEC ebcInsertBrowser 0x28AD38D22DB6E64FB2971ACEC715BC84,'CSEngageCSSDKFabricBrowser1',9201,'SELECT Fabric,Fabric FROM CSSDKFabric ORDER BY Fabric','Fabric','Fabric,0,Code;Fabric,0,Description','Fabric Descriptions',0,NULL,NULL,NULL,'CSSDKFabric',0,10,NULL
GO
EXEC ebcInsertBaseComponent 0x4CD5B8205AD0EE4BB405D3E326D14D36,9201,2,'SDKsrg','SDKsrg',NULL,0,'SDKsrg','*','linkid',0,0,NULL,NULL
EXEC ebcInsertBaseComponent 0xFC7D69F5DD1D6144B01A0F8B32B53715,9201,2,'SDKitm','SDKitm',NULL,0,'SDKitm','*','linkid',0,0,NULL,NULL
EXEC ebcInsertBaseComponent 0x126809F85D0AE64AA30F009BFB92BA5F,9201,2,'SDKohs','SDKohs',NULL,0,'SDKohs','*','linkid',0,0,NULL,NULL
EXEC ebcInsertBaseComponent 0x2F247E4BF503064E9DA6AF6CE105A9EB,9201,2,'CSEngageCSSDKFabric','CSSDKFabric',NULL,0,'CSSDKFabric','Fabric','Fabric',0,0,NULL,NULL
EXEC ebcInsertBaseComponent 0x1D2C91F88619B4408633F5937B809360,9201,2,'CSSDKFabricData','CSSDKFabricData',NULL,0,'CSSDKFabric','*','sysguid',NULL,0,NULL,NULL
GO
EXEC ebcInsertBusinessComponent 0x474ECA9CEFF8704A8F5174A98B389BF0,9201,0,'CSSDKFabric','CSSDKFabric',NULL,NULL
GO
EXEC ebcInsertProp 0xD033BA71D359D04B8BCBF2C09C6CF71C,0x474ECA9CEFF8704A8F5174A98B389BF0,'Color','Color','Color',0,NULL,0,0x5C83397076B35F46A7E1170F8394757E,NULL,0,NULL,0,0,'','SELECT DatabaseChar, Description, TermID FROM DDTests WHERE TableName =''CSSDKFabric                   '' And FieldName = ''Color'' ORDER BY Seqnr',1,NULL,0,0
EXEC ebcInsertProp 0x4DCAC0B6D40AA24882574127092B4C24,0x474ECA9CEFF8704A8F5174A98B389BF0,'Created','Created',NULL,0,NULL,NULL,0x66596632D4DB704899B8526F4BF95336,NULL,0,NULL,6,1,'NOW',NULL,1,NULL,0,0
EXEC ebcInsertProp 0x90AADD1C4B09684E94B8F8548A33284D,0x474ECA9CEFF8704A8F5174A98B389BF0,'Creator','Creator',NULL,0,NULL,NULL,0x3A9831F12FDDD211AF7E00C04F9553B8,NULL,0,NULL,10,1,'HumresID',NULL,1,NULL,0,0
EXEC ebcInsertProp 0x5374470BB20DA14CB521CA716A1F0BE4,0x474ECA9CEFF8704A8F5174A98B389BF0,'CreatorName','CreatorName',NULL,0,NULL,NULL,0xAC15E1F7E5E0A543B4FA5DBEAB5D4ABF,NULL,0,NULL,0,0,NULL,NULL,1,NULL,0,0
EXEC ebcInsertProp 0x0BEF804075773444A97F2C56831D720C,0x474ECA9CEFF8704A8F5174A98B389BF0,'Fabric','Fabric','Fabric',0,NULL,0,0x28C3268824BDB84B9B15216BA5D01738,NULL,0,NULL,0,0,'',NULL,1,NULL,0,0
EXEC ebcInsertProp 0xEEB630BD35D82248A4C0F3AB71B7C991,0x474ECA9CEFF8704A8F5174A98B389BF0,'ID','ID',NULL,0,NULL,NULL,0xA3F4E97D0D23D211AE9B00C04F9553B8,NULL,0,NULL,4,1,NULL,NULL,1,NULL,0,0
EXEC ebcInsertProp 0x47D27CBB6A5BAA4AB9CAF037E6FAACDF,0x474ECA9CEFF8704A8F5174A98B389BF0,'Material','Material','Material',0,NULL,0,0x28C3268824BDB84B9B15216BA5D01738,NULL,0,NULL,0,0,'',NULL,1,NULL,0,0
EXEC ebcInsertProp 0xE6F873FE4F2D3F42B8EA58A81188882D,0x474ECA9CEFF8704A8F5174A98B389BF0,'Modified','Modified',NULL,0,NULL,NULL,0x66596632D4DB704899B8526F4BF95336,NULL,0,NULL,6,38,'NOW',NULL,1,NULL,0,0
EXEC ebcInsertProp 0x49D0DB219E56D243919AD85D8B3C2C8F,0x474ECA9CEFF8704A8F5174A98B389BF0,'Modifier','Modifier',NULL,0,NULL,NULL,0x3A9831F12FDDD211AF7E00C04F9553B8,NULL,0,NULL,10,38,'HumresID',NULL,1,NULL,0,0
EXEC ebcInsertProp 0xEF34B5F0EBEF0D49BA57C44BE2D421AA,0x474ECA9CEFF8704A8F5174A98B389BF0,'ModifierName','ModifierName',NULL,0,NULL,NULL,0xAC15E1F7E5E0A543B4FA5DBEAB5D4ABF,NULL,0,NULL,0,0,NULL,NULL,1,NULL,0,0
GO
EXEC ebcInsertComponentRelation 0x7192C5C456368B45B81DCEA02DF72438,0,'Main_CSSDKFabric',0x474ECA9CEFF8704A8F5174A98B389BF0,0x1D2C91F88619B4408633F5937B809360,NULL,1,NULL,NULL
EXEC ebcInsertComponentRelation 0x6CDCC2118FEE9A47B983C5D0F17D54C7,1,'Ref_Creator',0x474ECA9CEFF8704A8F5174A98B389BF0,0xD4EBE0FA905308458BA2DF748070ADAB,NULL,1,NULL,NULL
EXEC ebcInsertComponentRelation 0x99EC988D83581348B06E3B966D229E11,1,'Ref_Modifier',0x474ECA9CEFF8704A8F5174A98B389BF0,0xD4EBE0FA905308458BA2DF748070ADAB,NULL,1,NULL,NULL
GO
EXEC ebcInsertPropRelation 0x4B2E9596B861ED4D964C155CBEA30112,0,0,0x7192C5C456368B45B81DCEA02DF72438,0x47D27CBB6A5BAA4AB9CAF037E6FAACDF,NULL,'Material',NULL,1
EXEC ebcInsertPropRelation 0x06784CC3AD2C6148A22F1D5C35455C59,0,0,0x7192C5C456368B45B81DCEA02DF72438,0x0BEF804075773444A97F2C56831D720C,NULL,'Fabric',NULL,1
EXEC ebcInsertPropRelation 0xEFBE2317C7554B42B6032B470942F968,0,0,0x7192C5C456368B45B81DCEA02DF72438,0xE6F873FE4F2D3F42B8EA58A81188882D,NULL,'sysmodified',NULL,1
EXEC ebcInsertPropRelation 0x3AFF611BA8C8DA45808F9E3492331CFF,0,0,0x7192C5C456368B45B81DCEA02DF72438,0xD033BA71D359D04B8BCBF2C09C6CF71C,NULL,'Color',NULL,1
EXEC ebcInsertPropRelation 0xCC1A808302B8B34EBE25BA1A3EFC2F80,0,0,0x7192C5C456368B45B81DCEA02DF72438,0x49D0DB219E56D243919AD85D8B3C2C8F,NULL,'sysmodifier',NULL,1
EXEC ebcInsertPropRelation 0x93E3A965711A164593B9CF335BA55E35,0,0,0x7192C5C456368B45B81DCEA02DF72438,0x4DCAC0B6D40AA24882574127092B4C24,NULL,'syscreated',NULL,1
EXEC ebcInsertPropRelation 0xFA5D5C933A5B8B4C94A9DB76668C62A7,1,0,0x7192C5C456368B45B81DCEA02DF72438,0xEEB630BD35D82248A4C0F3AB71B7C991,NULL,'sysguid',NULL,1
EXEC ebcInsertPropRelation 0x92C84022666CD4468834E5FC93BB496D,0,0,0x7192C5C456368B45B81DCEA02DF72438,0x90AADD1C4B09684E94B8F8548A33284D,NULL,'syscreator',NULL,1
EXEC ebcInsertPropRelation 0x959D78F9E2F65045973B559DEAF78E32,0,0,0x6CDCC2118FEE9A47B983C5D0F17D54C7,0x5374470BB20DA14CB521CA716A1F0BE4,NULL,'fullname',NULL,1
EXEC ebcInsertPropRelation 0xE85EEB776C823E48A6F569FA21E6029D,1,0,0x6CDCC2118FEE9A47B983C5D0F17D54C7,0x90AADD1C4B09684E94B8F8548A33284D,NULL,'res_id',NULL,1
GO
EXEC ebcInsertPropRelation 0xE1CF7C1349D8D74998D450397DFE99CD,0,0,0x99EC988D83581348B06E3B966D229E11,0xEF34B5F0EBEF0D49BA57C44BE2D421AA,NULL,'fullname',NULL,1
EXEC ebcInsertPropRelation 0x19526FC4660D0248A8E8CD3A461C1338,1,0,0x99EC988D83581348B06E3B966D229E11,0x49D0DB219E56D243919AD85D8B3C2C8F,NULL,'res_id',NULL,1
GO

------------------------------------------------------------------------------------------------------------------------
--CREATE REPOSITORY Custom fields.
------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------
--BLSysTools
------------------------------------------------------------------------------------------------------------------------
EXEC ebcInsertProp 0x2C2028E8315D064F920B1C2A6989FD4B,0xC24CFEA3BBD51745A7FE850A9EC19BDA,'CSEngageFabric','Fabric','Fabric',0,NULL,0,0x28C3268824BDB84B9B15216BA5D01738,NULL,0,NULL,0,0,'',NULL,1
EXEC ebcInsertProp 0x2B82F89C29253D4DBAD143032063348E,0xC24CFEA3BBD51745A7FE850A9EC19BDA,'CSEngageFabric2','Fabric2','Fabric2',0,NULL,0,0x28C3268824BDB84B9B15216BA5D01738,0x28AD38D22DB6E64FB2971ACEC715BC84,0,NULL,0,0,'',NULL,1
EXEC ebcInsertProp 0x973AD44913F02446958C21B3DD6D7F72,0xC24CFEA3BBD51745A7FE850A9EC19BDA,'CSEngageFabric2Description','CSEngageFabric2Description','CSEngageFabric2Description',0,NULL,0,0xC00A05D06617D211981F00C04F9546C9,NULL,0,NULL,0,0,NULL,NULL,1
EXEC ebcInsertProp 0xA9538122B010A549B73379337E917F1D,0xC24CFEA3BBD51745A7FE850A9EC19BDA,'CSEngageitmLinkID','CSEngageitmLinkID','CSEngageitmLinkID',0,NULL,0,0xA3F4E97D0D23D211AE9B00C04F9553B8,NULL,0,NULL,4,15,'',NULL,1
EXEC ebcInsertProp 0xF6F853E88F7E6E4FBBC487304218C0FC,0xC24CFEA3BBD51745A7FE850A9EC19BDA,'CSEngageLength','Length','Length',0,NULL,0,0x28C3268824BDB84B9B15216BA5D01738,NULL,0,NULL,0,0,'',NULL,1
GO
------------------------------------------------------------------------------------------------------------------------
--Item
------------------------------------------------------------------------------------------------------------------------
EXEC ebcInsertProp 0x51D89C6DEB1C304D80C43B80BCD245F4,0xD2C366F6262D2C4A96B808DC0B1FD785,'CSEngageFabric','Fabric','Fabric',0,NULL,0,0x28C3268824BDB84B9B15216BA5D01738,NULL,0,NULL,0,0,'',NULL,1
EXEC ebcInsertProp 0x9E824DDF96A9E345A428E16D7FE0D353,0xD2C366F6262D2C4A96B808DC0B1FD785,'CSEngageFabric2','Fabric2','Fabric2',0,NULL,0,0xC00A05D06617D211981F00C04F9546C9,0x28AD38D22DB6E64FB2971ACEC715BC84,0,NULL,0,0,'',NULL,1
EXEC ebcInsertProp 0xE5B3CBD4225D52409DB96687DDED3E3A,0xD2C366F6262D2C4A96B808DC0B1FD785,'CSEngageFabric2Description','CSEngageFabric2Description','CSEngageFabric2Description',0,NULL,0,0xC00A05D06617D211981F00C04F9546C9,NULL,0,NULL,0,0,NULL,NULL,1
EXEC ebcInsertProp 0xC0ED0C7002B31D4FB38116C51A353693,0xD2C366F6262D2C4A96B808DC0B1FD785,'CSEngageitmLinkID','CSEngageitmLinkID','CSEngageitmLinkID',0,NULL,0,0xA3F4E97D0D23D211AE9B00C04F9553B8,NULL,0,NULL,4,15,'',NULL,1
EXEC ebcInsertProp 0x3518869859B4C346AEA5CB0679571C8B,0xD2C366F6262D2C4A96B808DC0B1FD785,'CSEngageLength','Length','Length',0,NULL,0,0x28C3268824BDB84B9B15216BA5D01738,NULL,0,NULL,0,0,'',NULL,1
GO
------------------------------------------------------------------------------------------------------------------------
--BLSysTools
------------------------------------------------------------------------------------------------------------------------
EXEC ebcInsertComponentRelation 0xABEB05B8D8EE4C4299D4669B4F2C5982,1,'CSEngageRefFabric',0xC24CFEA3BBD51745A7FE850A9EC19BDA,0x2F247E4BF503064E9DA6AF6CE105A9EB,NULL,1,NULL,NULL
EXEC ebcInsertComponentRelation 0x9107284495CF8B4894A682D3F143EC69,2,'CSEngageSDKitmcomp rel',0xC24CFEA3BBD51745A7FE850A9EC19BDA,0xFC7D69F5DD1D6144B01A0F8B32B53715,NULL,1,NULL,NULL
GO
------------------------------------------------------------------------------------------------------------------------
--Item
------------------------------------------------------------------------------------------------------------------------
EXEC ebcInsertComponentRelation 0x3705878F32C0184F8247E632D98308EC,1,'CSEngageRefFabric',0xD2C366F6262D2C4A96B808DC0B1FD785,0x2F247E4BF503064E9DA6AF6CE105A9EB,NULL,1,NULL,NULL
EXEC ebcInsertComponentRelation 0xAF9142F6D9EE3F48A3B0D20949B37675,2,'CSEngageSDKitmcomp rel',0xD2C366F6262D2C4A96B808DC0B1FD785,0xFC7D69F5DD1D6144B01A0F8B32B53715,NULL,1,NULL,NULL
GO

------------------------------------------------------------------------------------------------------------------------
--BLSysTools
------------------------------------------------------------------------------------------------------------------------
EXEC ebcInsertPropRelation 0x6995F2510BB8514AAB6E73E0FFCBF453,0,0,0x9107284495CF8B4894A682D3F143EC69,0x2C2028E8315D064F920B1C2A6989FD4B,NULL,'Fabric',NULL,1
EXEC ebcInsertPropRelation 0xDDD51C450EB81A41B0FB348709DAF4BD,0,0,0x9107284495CF8B4894A682D3F143EC69,0x2B82F89C29253D4DBAD143032063348E,NULL,'Fabric2',NULL,1
EXEC ebcInsertPropRelation 0xAC8F992BB1A3FC4799355F25FFE57CEF,1,0,0xABEB05B8D8EE4C4299D4669B4F2C5982,0x2B82F89C29253D4DBAD143032063348E,NULL,'Fabric',NULL,1
EXEC ebcInsertPropRelation 0x7CB18DB87A5C10409E17FBF9A70DE71B,0,0,0xABEB05B8D8EE4C4299D4669B4F2C5982,0x973AD44913F02446958C21B3DD6D7F72,NULL,'Fabric',NULL,1
EXEC ebcInsertPropRelation 0xB7E546011591A74E885676C544A75D96,1,0,0x9107284495CF8B4894A682D3F143EC69,0xA9538122B010A549B73379337E917F1D,NULL,'linkid',NULL,1
EXEC ebcInsertPropRelation 0x654CEAA42FDD074093C412C70FE83CE8,0,0,0x78F6459B741A57469F4BB19F39710768,0xA9538122B010A549B73379337E917F1D,NULL,'sysguid',NULL,1
EXEC ebcInsertPropRelation 0x0819E7D95920CD4FAFC0C69342405B03,0,0,0x9107284495CF8B4894A682D3F143EC69,0xF6F853E88F7E6E4FBBC487304218C0FC,NULL,'Length',NULL,1
GO
------------------------------------------------------------------------------------------------------------------------
--Item
------------------------------------------------------------------------------------------------------------------------
EXEC ebcInsertPropRelation 0x780DA8D7AE33DF4C9DBE35B49D29B13A,0,0,0xAF9142F6D9EE3F48A3B0D20949B37675,0x51D89C6DEB1C304D80C43B80BCD245F4,NULL,'Fabric',NULL,1
EXEC ebcInsertPropRelation 0xB8AA112E7A70584DADCE760701038400,1,0,0x3705878F32C0184F8247E632D98308EC,0x9E824DDF96A9E345A428E16D7FE0D353,NULL,'Fabric',NULL,1
EXEC ebcInsertPropRelation 0xA6DD8D91DAAEFF4BA15D63B7975884FD,0,0,0xAF9142F6D9EE3F48A3B0D20949B37675,0x9E824DDF96A9E345A428E16D7FE0D353,NULL,'Fabric2',NULL,1
EXEC ebcInsertPropRelation 0xDA71612062C5064BA918D9D57DB0F7C1,0,0,0x3705878F32C0184F8247E632D98308EC,0xE5B3CBD4225D52409DB96687DDED3E3A,NULL,'Fabric',NULL,1
EXEC ebcInsertPropRelation 0x84AA787A97D3FA45B88F042421A53F87,0,0,0xA25D11CAC67CCC48AEC265D799008E0F,0xC0ED0C7002B31D4FB38116C51A353693,NULL,'sysguid',NULL,1
EXEC ebcInsertPropRelation 0x388504B175DAA5478E8C7311107BEAD2,1,0,0xAF9142F6D9EE3F48A3B0D20949B37675,0xC0ED0C7002B31D4FB38116C51A353693,NULL,'linkid',NULL,1
EXEC ebcInsertPropRelation 0x0D8475A476C79F4889DE99E885A48708,0,0,0xAF9142F6D9EE3F48A3B0D20949B37675,0x3518869859B4C346AEA5CB0679571C8B,NULL,'Length',NULL,1
GO

------------------------------------------------------------------------------------------------------------------------
--CREATE EXTRA Property information (in comment the repository property name).
------------------------------------------------------------------------------------------------------------------------
IF OBJECT_ID('SDKASPCustomFields') IS NOT NULL BEGIN
------------------------------------------------------------------------------------------------------------------------
--BLSysTools
------------------------------------------------------------------------------------------------------------------------
INSERT INTO SDKASPCustomFields (PropID,GroupID,IsVisible,PropRefNames,BrowserResultColumns,ASPReference) VALUES ( 0x2C2028E8315D064F920B1C2A6989FD4B,0xED675A167937B1479F66B7EBED2D57F4,0,NULL,NULL,NULL) --CSEngageFabric
INSERT INTO SDKASPCustomFields (PropID,GroupID,IsVisible,PropRefNames,BrowserResultColumns,ASPReference) VALUES ( 0x2B82F89C29253D4DBAD143032063348E,0xED675A167937B1479F66B7EBED2D57F4,0,'CSEngageFabric2Description','Fabric,Fabric',NULL) --CSEngageFabric2
INSERT INTO SDKASPCustomFields (PropID,GroupID,IsVisible,PropRefNames,BrowserResultColumns,ASPReference) VALUES ( 0x973AD44913F02446958C21B3DD6D7F72,0xED675A167937B1479F66B7EBED2D57F4,0,NULL,NULL,NULL) --CSEngageFabric2Description
INSERT INTO SDKASPCustomFields (PropID,GroupID,IsVisible,PropRefNames,BrowserResultColumns,ASPReference) VALUES ( 0xA9538122B010A549B73379337E917F1D,0xED675A167937B1479F66B7EBED2D57F4,0,NULL,NULL,NULL) --CSEngageitmLinkID
INSERT INTO SDKASPCustomFields (PropID,GroupID,IsVisible,PropRefNames,BrowserResultColumns,ASPReference) VALUES ( 0xF6F853E88F7E6E4FBBC487304218C0FC,0xED675A167937B1479F66B7EBED2D57F4,0,NULL,NULL,NULL) --CSEngageLength
------------------------------------------------------------------------------------------------------------------------
--CSSDKFabric
------------------------------------------------------------------------------------------------------------------------
INSERT INTO SDKASPCustomFields (PropID,GroupID,IsVisible,PropRefNames,BrowserResultColumns,ASPReference) VALUES ( 0xD033BA71D359D04B8BCBF2C09C6CF71C,0xED675A167937B1479F66B7EBED2D57F4,1,NULL,NULL,'') --Color
INSERT INTO SDKASPCustomFields (PropID,GroupID,IsVisible,PropRefNames,BrowserResultColumns,ASPReference) VALUES ( 0x0BEF804075773444A97F2C56831D720C,0xED675A167937B1479F66B7EBED2D57F4,1,NULL,NULL,'') --Fabric
INSERT INTO SDKASPCustomFields (PropID,GroupID,IsVisible,PropRefNames,BrowserResultColumns,ASPReference) VALUES ( 0x47D27CBB6A5BAA4AB9CAF037E6FAACDF,0xED675A167937B1479F66B7EBED2D57F4,1,NULL,NULL,'') --Material
------------------------------------------------------------------------------------------------------------------------
--Item
------------------------------------------------------------------------------------------------------------------------
INSERT INTO SDKASPCustomFields (PropID,GroupID,IsVisible,PropRefNames,BrowserResultColumns,ASPReference) VALUES ( 0x51D89C6DEB1C304D80C43B80BCD245F4,0xED675A167937B1479F66B7EBED2D57F4,0,NULL,NULL,NULL) --CSEngageFabric
INSERT INTO SDKASPCustomFields (PropID,GroupID,IsVisible,PropRefNames,BrowserResultColumns,ASPReference) VALUES ( 0x9E824DDF96A9E345A428E16D7FE0D353,0xED675A167937B1479F66B7EBED2D57F4,0,'CSEngageFabric2Description','Fabric,Fabric',NULL) --CSEngageFabric2
INSERT INTO SDKASPCustomFields (PropID,GroupID,IsVisible,PropRefNames,BrowserResultColumns,ASPReference) VALUES ( 0xE5B3CBD4225D52409DB96687DDED3E3A,0xED675A167937B1479F66B7EBED2D57F4,0,NULL,NULL,NULL) --CSEngageFabric2Description
INSERT INTO SDKASPCustomFields (PropID,GroupID,IsVisible,PropRefNames,BrowserResultColumns,ASPReference) VALUES ( 0xC0ED0C7002B31D4FB38116C51A353693,0xED675A167937B1479F66B7EBED2D57F4,0,NULL,NULL,NULL) --CSEngageitmLinkID
INSERT INTO SDKASPCustomFields (PropID,GroupID,IsVisible,PropRefNames,BrowserResultColumns,ASPReference) VALUES ( 0x3518869859B4C346AEA5CB0679571C8B,0xED675A167937B1479F66B7EBED2D57F4,0,NULL,NULL,NULL) --CSEngageLength
END
GO

------------------------------------------------------------------------------------------------------------------------
-- MENU
------------------------------------------------------------------------------------------------------------------------
EXECUTE CSStartMenu
GO
EXECUTE CSAddMenu '2', 'M','Engage', '', '', '', '10000', '', '1', '1', 'E', '0'
EXECUTE CSAddMenu '3', 'F','FabricTable', '', 'EMAINT', '1006009501', '3', 'CSSDKFabric', '2', '2', 'F', '0'
EXECUTE CSAddMenu '4', 'F','Report', 'PRINTREPORTS', '', '1006009502', '1', '', '2', '3', 'R', '0'
GO
EXECUTE CSFinishMenu
GO

------------------------------------------------------------------------------------------------------------------------
-- SECTIONS SYNERGY
------------------------------------------------------------------------------------------------------------------------
EXECUTE CSAddSections '{859823A6-647B-46BC-BF05-D021A35B4908}','Add-on',15767,NULL,NULL,'{165A67ED-3779-47B1-9F66-B7EBED2D57F4}','{E828202C-5D31-4F06-920B-1C2A6989FD4B}'
EXECUTE CSAddSections '{E2C6F2C9-9E73-4059-869B-265B021F0F1C}','Add-on',15767,NULL,NULL,'{165A67ED-3779-47B1-9F66-B7EBED2D57F4}','{E828202C-5D31-4F06-920B-1C2A6989FD4B}'
EXECUTE CSAddSections '{859823A6-647B-46BC-BF05-D021A35B4908}','Add-on',0,NULL,NULL,'{165A67ED-3779-47B1-9F66-B7EBED2D57F4}','{6D9CD851-1CEB-4D30-80C4-3B80BCD245F4}'
EXECUTE CSAddSections '{E2C6F2C9-9E73-4059-869B-265B021F0F1C}','Add-on',0,NULL,NULL,'{165A67ED-3779-47B1-9F66-B7EBED2D57F4}','{6D9CD851-1CEB-4D30-80C4-3B80BCD245F4}'
EXECUTE CSAddSections '{859823A6-647B-46BC-BF05-D021A35B4908}','Add-on',15767,NULL,NULL,'{165A67ED-3779-47B1-9F66-B7EBED2D57F4}','{9CF8822B-2529-4D3D-BAD1-43032063348E}'
EXECUTE CSAddSections '{E2C6F2C9-9E73-4059-869B-265B021F0F1C}','Add-on',15767,NULL,NULL,'{165A67ED-3779-47B1-9F66-B7EBED2D57F4}','{9CF8822B-2529-4D3D-BAD1-43032063348E}'
EXECUTE CSAddSections '{859823A6-647B-46BC-BF05-D021A35B4908}','Add-on',0,NULL,NULL,'{165A67ED-3779-47B1-9F66-B7EBED2D57F4}','{DF4D829E-A996-45E3-A428-E16D7FE0D353}'
EXECUTE CSAddSections '{E2C6F2C9-9E73-4059-869B-265B021F0F1C}','Add-on',0,NULL,NULL,'{165A67ED-3779-47B1-9F66-B7EBED2D57F4}','{DF4D829E-A996-45E3-A428-E16D7FE0D353}'
EXECUTE CSAddSections '{859823A6-647B-46BC-BF05-D021A35B4908}','Add-on',15767,NULL,NULL,'{165A67ED-3779-47B1-9F66-B7EBED2D57F4}','{E853F8F6-7E8F-4F6E-BBC4-87304218C0FC}'
EXECUTE CSAddSections '{E2C6F2C9-9E73-4059-869B-265B021F0F1C}','Add-on',15767,NULL,NULL,'{165A67ED-3779-47B1-9F66-B7EBED2D57F4}','{E853F8F6-7E8F-4F6E-BBC4-87304218C0FC}'
EXECUTE CSAddSections '{859823A6-647B-46BC-BF05-D021A35B4908}','Add-on',0,NULL,NULL,'{165A67ED-3779-47B1-9F66-B7EBED2D57F4}','{98861835-B459-46C3-AEA5-CB0679571C8B}'
EXECUTE CSAddSections '{E2C6F2C9-9E73-4059-869B-265B021F0F1C}','Add-on',0,NULL,NULL,'{165A67ED-3779-47B1-9F66-B7EBED2D57F4}','{98861835-B459-46C3-AEA5-CB0679571C8B}'
GO

------------------------------------------------------------------------------------------------------------------------
-- SETTINGS SYNERGY
------------------------------------------------------------------------------------------------------------------------
EXECUTE CSAddSynergySettings 'general','CSFldSrvAllowMultipleRentals',1,1,9201
EXECUTE CSAddSynergySettings 'general','CSNotaFiscalIndicator',1,0,9201
EXECUTE CSAddSynergySettings 'general','CSRental_Batch',1,2600,9201
EXECUTE CSAddSynergySettings 'general','CSRentalCountSalesStock',1,0,9201
EXECUTE CSAddSynergySettings 'general','CSRentalDivision',1,0,9201
EXECUTE CSAddSynergySettings 'general','CSRentalUseXMLInvoicing',1,0,9201
GO

------------------------------------------------------------------------------------------------------------------------
--
-- LAST USER SECTION START
--
------------------------------------------------------------------------------------------------------------------------

------------------------------------------------------------------------------------------------------------------------
--
-- LAST USER SECTION END
--
------------------------------------------------------------------------------------------------------------------------

------------------------------------------------------------------------------------------------------------------------
-- DROP STORED PROCEDURES
------------------------------------------------------------------------------------------------------------------------

DROP PROCEDURE dbo.CSCreateTable
DROP PROCEDURE dbo.CSCreateColumn
DROP PROCEDURE dbo.CSCreateIndex
DROP PROCEDURE dbo.CSCreateReference
DROP PROCEDURE dbo.CSCreateTestValues
DROP PROCEDURE dbo.CSCreateDefaultValues
DROP PROCEDURE dbo.CSCreateDeleteTrigger
DROP PROCEDURE dbo.CSFinalizeTable
DROP PROCEDURE dbo.CSDropProcedures
GO
DROP PROCEDURE dbo.CSStartMenu
DROP PROCEDURE dbo.CSAddMenu
DROP PROCEDURE dbo.CSFinishMenu
GO
DROP PROCEDURE dbo.CSMenuAdd
DROP PROCEDURE dbo.CSFunctionAdd
DROP PROCEDURE dbo.CSAddSections
GO
DROP PROCEDURE dbo.CSAddSynergySettings
GO

------------------------------------------------------------------------------------------------------------------------
--
-- END GENERATED SECTION
--
------------------------------------------------------------------------------------------------------------------------
