Attribute VB_Name = "modConnectToADO"
Option Explicit
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'/////////////////////////////////////////////////////////////////////////////////////////////  CONSTANT DECLARATIONS      ///////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
Private Const cModuleName As String = "ModConnectToADO"

'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////   PUBLIC VARIABLES     //////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

     Public gServerName As String
     Public gDatabaseName As String
     Public gConnADO As ADODB.Connection
     Public gCommandADO As ADODB.Command
     

'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////   PROCEDURES       ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
Public Sub Connect_ADO(Optional DatabaseName As String, Optional ServerName As String)
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
     On Error GoTo ErrHandle
     '//////////////////////////////////////////////////////
     Dim strConn As String
     
     strConn = "driver={SQL Server};Initial Catalog=" & DatabaseName & ";server=" & ServerName & ";uid=;pwd=;"
     'strConn = "DRIVER={SQL Server};SERVER=" & Server & ";DATABASE=" & DbName & ";Trusted_Connection=YES"
     
     'Create Connection
     If gConnADO Is Nothing Then Set gConnADO = New ADODB.Connection

     With gConnADO
          'If it is an open connection, but a different database then close it
          If gConnADO.State = adStateOpen Then
               If Trim(UCase(.DefaultDatabase)) <> Trim(UCase(DatabaseName)) Then
                    gConnADO.Close
               End If
          End If
          
          'If it is closed then open it
          If .State <> adStateOpen Then
               ' Establish connection
               .ConnectionString = strConn
               .ConnectionTimeout = 10
               .Properties("Prompt") = adPromptNever
               .Open
          End If
     End With
     
     '/////////////////////////////////////////////////////////
     Exit Sub
ErrHandle:
     MsgBox "ERROR IN " & cModuleName & " - Connect_ADO :  " & Err.Number & " - " & Err.Description, vbOKOnly, "Opening Procedure Cancelled"
End Sub

'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
Public Sub Disconnect_ADO()
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
     On Error GoTo ErrHandle
     '//////////////////////////////////////////////////////
     If Not gConnADO Is Nothing Then
          With gConnADO
               If .State = adStateOpen Then
                    .Close
               End If
               Set gConnADO = Nothing
               
          End With
     End If
     '/////////////////////////////////////////////////////////
     Exit Sub
ErrHandle:
     MsgBox "ERROR IN " & cModuleName & " - Disconnect_ADO :  " & Err.Number & " - " & Err.Description, vbOKOnly, "Error"
End Sub

'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

Public Sub Test()
        Dim cmd As New ADODB.Command
        Dim rs As ADODB.Recordset
        Dim con As New ADODB.Connection

        Call Connect_ADO("001")
     
        If gConnADO.State <> adStateOpen Then gConnADO.Open
        gCommandADO.ActiveConnection = con
        gCommandADO.CommandText = "SP_GETBILLREQUEST"
        gCommandADO.CommandType = adCmdStoredProc
        Set rs = gCommandADO.Execute


        Do While Not rs Is Nothing
            If (Not rs.EOF) Then
                MsgBox (rs.GetString())
            End If
            Set rs = rs.NextRecordset
       Loop



    End Sub



