VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "iInvoice"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Implements CSSDKDispInput.SDKDispInput

'DECLARE TABLE CONSTANTS - Used to pass to global procedures
Private Const cHEADER_TABLENAME = "frkrg"
Private Const cLINE_TABLENAME = "frsrg"
Private Const cHEADER_EXT_TABLENAME = "SDKfrk"
Private Const cLINE_EXT_TABLENAME = "SDKfrs"
Private Const cModuleName = "iInvoice"     'also Const c_iINVOICE

''////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
''////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
''////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
''////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
''////////////////////////// COPY FROM HERE DOWN FOR :  Invoices, Quotations, Sales Orders, Purchase Orders ////////////////////////////////////////////////////////////////////
''////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
''////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
''////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
''////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
''////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
''////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
''////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
''////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'MODIFIED April 6, 2010 - 10:00 pm


'Declare variables
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'*************************** Declare the SDKobjects  ************************************************
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'These are passed in during initialize event
'Private hApp As Object    '' Added to Global Module modConnectToGlobe
Private WithEvents frmObj  As CSSDKDispInput.SDKForm
Attribute frmObj.VB_VarHelpID = -1
Private WithEvents oActionBar   As CSSDKDispInput.SDKActionBar
Attribute oActionBar.VB_VarHelpID = -1
Private WithEvents oSpread As CSSDKDispInput.SDKSpread
Attribute oSpread.VB_VarHelpID = -1
Private WithEvents oEEC As CSSDKDispInput.SDKEEC
Attribute oEEC.VB_VarHelpID = -1
Private WithEvents oFLAT As CSSDKDispInput.SDKFlatButton
Attribute oFLAT.VB_VarHelpID = -1
Private WithEvents oRecordInfo As CSSDKDispInput.SDKRecordInfo
Attribute oRecordInfo.VB_VarHelpID = -1
Private oLabel As CSSDKDispInput.SDKLabel


'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'*************************** BUTTON VARIABLES  ************************************************
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

Private iButtonOrderDetails As Long
Private iButtonExtraFields As Long
Private iButtonTest As Long      ' USED TO TEST CODE


''//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
''*************************** FORM VARIABLES  ************************************************
''//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'*************************** MODULE VARIABLES  ************************************************
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'Declare Variables
Private CurrentRow As Long ' Will be set to lRow value when spread row changes
Private strItemNo As String
Private sItemDesc As String



'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'*************************** IMPLEMENTATION OF THE SDK **********************************
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


Private Sub SDKDispInput_Initialize(ByVal formClass As CSSDKDispInput.SDKForm, _
ByVal EECClass As CSSDKDispInput.SDKEEC, ByVal actionbarClass As CSSDKDispInput.SDKActionBar, _
ByVal toolbarClass As CSSDKDispInput.SDKToolBar, ByVal spreadClass As CSSDKDispInput.SDKSpread, _
ByVal edbcClass As CSSDKDispInput.SDKRecordInfo, ByVal flatbuttonClass As CSSDKDispInput.SDKFlatButton, _
ByVal labelClass As CSSDKDispInput.SDKLabel)
     'Initialize the objects
     Set frmObj = formClass
     Set oActionBar = actionbarClass
     Set oRecordInfo = edbcClass
     Set oSpread = spreadClass
     Set oEEC = EECClass
     Set oFLAT = flatbuttonClass
     Set oLabel = labelClass

End Sub

Private Property Let SDKDispInput_InputType(ByVal RHS As CSSDKDispInput.InputType)
     'Not needed in maintenance applications
End Property

Private Property Let SDKDispInput_SDKApplication(ByVal RHS As Object)
     'Set the application handle
     Set hApp = RHS
End Property

Private Sub SDKDispInput_Terminate()
     'Set the objects to nothing
     If Not frmObj Is Nothing Then Set frmObj = Nothing
     If Not oActionBar Is Nothing Then Set oActionBar = Nothing
     If Not oRecordInfo Is Nothing Then Set oRecordInfo = Nothing
     If Not oSpread Is Nothing Then Set oSpread = Nothing
     If Not oEEC Is Nothing Then Set oEEC = Nothing
     If Not oFLAT Is Nothing Then Set oFLAT = Nothing
     If Not oLabel Is Nothing Then Set oLabel = Nothing
     If Not hApp Is Nothing Then Set hApp = Nothing
End Sub
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'*************************** END IMPLEMENTATION OF THE SDK ******************************
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'*************************** FORM EVENTS ************************************************
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
Private Sub frmObj_Load(ByVal Form As CSSDKDispInput.formType)
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
     On Error GoTo ErrHandle
     '//////////////////////////////////////////////////////
     'Use this event to add actionbar buttons
     
     If Form = MainForm Then 'only for the mainform we want to add a button
               iButtonOrderDetails = oActionBar.EActionBar(abMain).AddButton("Order Details")
               iButtonExtraFields = oActionBar.EActionBar(abMain).AddButton("Extra Fields")
              
     
               '//////////////////////////////////////////////////////
               'Set Global Variables
               gServerName = oRecordInfo.ServerName
               gDatabaseName = oRecordInfo.DatabaseName
               
     End If    'Form - MainForm

     '//////////////////////////////////////////////////////
     Exit Sub
ErrHandle:
     MsgBox "ERROR IN " & cModuleName & " - frmObj_Load :  " & Err.Number & " - " & Err.Description, vbOKOnly, "ERROR"
End Sub

'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
Private Sub frmObj_Unload(ByVal Form As CSSDKDispInput.formType)
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
     On Error GoTo ErrHandle
     '//////////////////////////////////////////////////////
     'When the form is unloaded, this event is triggered
     
     If Form = MainForm Then
          ' _______________  DISCONNECT SDK   __________________
           Call Disconnect_Globe
          ' _______________________________________________________
     End If   'Form = MainForm

     '//////////////////////////////////////////////////////
     Exit Sub
ErrHandle:
     MsgBox "ERROR IN " & cModuleName & " - Obj_Unload :  " & Err.Number & " - " & Err.Description, vbOKOnly, "ERROR"
End Sub

'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
Private Sub frmObj_Activate(ByVal Form As CSSDKDispInput.formType)
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
     On Error GoTo ErrHandle
     '//////////////////////////////////////////////////////
     'When the form is activated, this event is triggered

     '//////////////////////////////////////////////////////
     Exit Sub
ErrHandle:
     MsgBox "ERROR IN " & cModuleName & " - frmObj_Activate :  " & Err.Number & " - " & Err.Description, vbOKOnly, "ERROR"
End Sub

'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'*************************** END FORM EVENTS ********************************************
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'*************************** EEC Events  ****************************************************
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////



'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
Private Sub oEEC_Change(ByVal EEC As CSSDKDispInput.EECs, vValue As Variant)
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
     On Error GoTo ErrHandle
     '//////////////////////////////////////////////////////

     '//////////////////////////////////////////////////////
     Exit Sub
ErrHandle:
     MsgBox "ERROR IN " & cModuleName & " - oEEC_Change :  " & Err.Number & " - " & Err.Description, vbOKOnly, "ERROR"
End Sub

'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
Private Sub oEEC_GotFocus(ByVal EEC As CSSDKDispInput.EECs, ByVal vValue As Variant)
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
     On Error GoTo ErrHandle
     '//////////////////////////////////////////////////////
          
     '//////////////////////////////////////////////////////
     Exit Sub
ErrHandle:
     MsgBox "ERROR IN " & cModuleName & " - oeec_GotFocus :  " & Err.Number & " - " & Err.Description, vbOKOnly, "ERROR"
End Sub



'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
Private Sub oEEC_LostFocus(ByVal EEC As CSSDKDispInput.EECs, ByVal vValue As Variant)
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
     On Error GoTo ErrHandle
     '//////////////////////////////////////////////////////
     '//////////////////////////////////////////////////////
     Exit Sub
ErrHandle:
     MsgBox "ERROR IN " & cModuleName & " - oEEC_LostFocus :  " & Err.Number & " - " & Err.Description, vbOKOnly, "ERROR"
End Sub

'
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'*************************** END EEC Events  ****************************************************
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'*************************** ACTIONBAR EVENTS *******************************************
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
Private Sub oActionBar_ButtonClick(ByVal ActionBar As CSSDKDispInput.ActionBarType, ByVal nBtnID As Long)
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
     On Error GoTo ErrHandle
     '//////////////////////////////////////////////////////
     Dim TempStr As String
     Dim LocPurchaseOrderNr
     Dim Response As Long
     '//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
     '  MAIN ACTION BAR
     '//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
     'When an actionbar button is clicked, this event is triggered
     If ActionBar = abMain Then
          Select Case nBtnID
               Case iButtonOrderDetails
                    Call ButtonOrderDetails_CLICK
               Case iButtonExtraFields
                    Call ButtonExtraFields_CLICK
               ' FOR TESTING ONLY
               Case iButtonTest
                    Call ButtonTEST_CLICK
          End Select
     End If

     '//////////////////////////////////////////////////////
     Exit Sub
ErrHandle:
     MsgBox "ERROR IN " & cModuleName & " - oActionBar_ButtonClick :  " & Err.Number & " - " & Err.Description, vbOKOnly, "ERROR"
End Sub



'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
Private Sub oActionBar_LostFocus(ByVal ActionBar As CSSDKDispInput.ActionBarType)
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
      On Error GoTo ErrHandle
     '//////////////////////////////////////////////////////
     '//////////////////////////////////////////////////////
     Exit Sub
ErrHandle:
     MsgBox "ERROR IN " & cModuleName & " - oActionBar_LostFocus :  " & Err.Number & " - " & Err.Description, vbOKOnly, "ERROR"
End Sub
''//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'
'
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'*************************** END ACTIONBAR EVENTS ***************************************
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'*************************** SPREAD EVENTS *******************************************
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////





'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
Private Sub oSpread_RowEntered(ByVal sSpread As CSSDKDispInput.SpreadType, ByVal lrow As Long)
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
     On Error GoTo ErrHandle
     '//////////////////////////////////////////////////////
     'WHEN IN GRID LINES
     'If sSpread = SubLines Then
     'End If
     '//////////////////////////////////////////////////////
     Exit Sub
ErrHandle:
     MsgBox "ERROR IN " & cModuleName & " - oSpread_RowEntered :  " & Err.Number & " - " & Err.Description, vbOKOnly, "ERROR"
End Sub

'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
Private Sub oSpread_RowLeave(ByVal sSpread As CSSDKDispInput.SpreadType, ByVal lrow As Long)
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
     On Error GoTo ErrHandle
     '//////////////////////////////////////////////////////
     '//////////////////////////////////////////////////////
     Exit Sub
ErrHandle:
     MsgBox "ERROR IN " & cModuleName & " - oSpread_RowLeave :  " & Err.Number & " - " & Err.Description, vbOKOnly, "ERROR"
End Sub


'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
Private Sub oSpread_CellValidate(ByVal sSpread As CSSDKDispInput.SpreadType, ByVal sColumn As CSSDKDispInput.SpreadColumn, ByVal lrow As Long, vntValue As Variant, sError As String, bValid As Boolean)
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
     On Error GoTo ErrHandle
     '//////////////////////////////////////////////////////
     '//////////////////////////////////////////////////////
     Exit Sub
ErrHandle:
     MsgBox "ERROR IN " & cModuleName & " - oSpread_CellValidate :  " & Err.Number & " - " & Err.Description, vbOKOnly, "ERROR"
End Sub



'/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
Private Sub oSpread_CellPreEdit(ByVal sSpread As CSSDKDispInput.SpreadType, ByVal sColumn As CSSDKDispInput.SpreadColumn, ByVal lrow As Long, vntValue As Variant)
'/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
     'This event is triggered when the cell is first entered
     On Error GoTo ErrHandle
     '//////////////////////////////////////////////////////
     '//////////////////////////////////////////////////////
     Exit Sub
ErrHandle:
     MsgBox "ERROR IN " & cModuleName & " - oSpread_CellPreEdit :  " & Err.Number & " - " & Err.Description, vbOKOnly, "ERROR"
End Sub

'/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
Private Sub oSpread_CellPostEdit(ByVal sSpread As CSSDKDispInput.SpreadType, ByVal sColumn As CSSDKDispInput.SpreadColumn, ByVal bChanged As Boolean)
'/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
     On Error GoTo ErrHandle
     '//////////////////////////////////////////////////////
     '//////////////////////////////////////////////////////
     Exit Sub
ErrHandle:
     MsgBox "ERROR IN " & cModuleName & " - oSpread_CellPostEdit :  " & Err.Number & " - " & Err.Description, vbOKOnly, "ERROR"
End Sub


'/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
Private Sub oSpread_GotFocus(ByVal sSpread As CSSDKDispInput.SpreadType)
'/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
     On Error GoTo ErrHandle
     '//////////////////////////////////////////////////////
     '//////////////////////////////////////////////////////
     Exit Sub
ErrHandle:
     MsgBox "ERROR IN " & cModuleName & " - oSpread_GotFocus :  " & Err.Number & " - " & Err.Description, vbOKOnly, "ERROR"
End Sub

'/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
Private Sub oSpread_CellLeave(ByVal sSpread As SpreadType, ByVal sColumn As SpreadColumn, _
                                   ByVal lrow As Long, vntValue As Variant)
'/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
     On Error GoTo ErrHandle
     '//////////////////////////////////////////////////////
     'Description:
     ' This event is triggered when the cell in spread 'sSpread' corresponding with column sColumn and row lRow is to be left.
     If sSpread = SubLines Then
          Select Case sColumn
            Case colItemCode
               'ENSURE THE SDK record GETS CREATED
               Call oRecordInfo.SetRecordBufferFieldString(cLINE_TABLENAME, "ProgNotes", "i")
            Case colDescription
               'ENSURE THE SDK record GETS CREATED
               Call oRecordInfo.SetRecordBufferFieldString(cLINE_TABLENAME, "ProgNotes", "d")
               Call ButtonExtraFields_CLICK
               
          End Select
          
     End If
     '//////////////////////////////////////////////////////
     Exit Sub
ErrHandle:
     MsgBox "ERROR IN " & cModuleName & " - oSpread_CellLeave :  " & Err.Number & " - " & Err.Description, vbOKOnly, "ERROR"
End Sub



'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'*************************** END SPREAD EVENTS ***************************************
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'*************************** FLAT EVENTS *******************************************
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
Private Sub oFLAT_GotFocus(ByVal sFlatButton As CSSDKDispInput.FlatButtons)
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
     On Error GoTo ErrHandle
     '//////////////////////////////////////////////////////
     '//////////////////////////////////////////////////////
     Exit Sub
ErrHandle:
     MsgBox "ERROR IN " & cModuleName & " - oFLAT_GotFocus :  " & Err.Number & " - " & Err.Description, vbOKOnly, "ERROR"
End Sub

'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
Private Sub oFLAT_Click(ByVal sFlatButton As CSSDKDispInput.FlatButtons)
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
     On Error GoTo ErrHandle
     '//////////////////////////////////////////////////////
     '//////////////////////////////////////////////////////
     Exit Sub
ErrHandle:
     MsgBox "ERROR IN " & cModuleName & " - oFLAT_Click :  " & Err.Number & " - " & Err.Description, vbOKOnly, "ERROR"
End Sub
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////



'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'*************************** END FLAT EVENTS ***************************************
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'*************************** RECORD EVENTS *******************************************
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'*************************** END RECORD EVENTS *******************************************
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'

'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
Private Sub ButtonOrderDetails_CLICK()
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
     On Error GoTo ErrHandle
     '//////////////////////////////////////////////////////
    
     'Get the order number
     gOrdernr = oEEC.EEC(eecOrderNumber).Value & ""
     
     If cModuleName = "iPurchaseOrder" Then
          gCustomerNo = Trim(oEEC.EEC(eecCreditorNumber).Value) & ""
     Else
          gCustomerNo = Trim(oEEC.EEC(eecDebtorNumber).Value) & ""
     End If
     
     
     'Open the form
     Set fOrderDetails = New frmOrderDetails
     fOrderDetails.LINE_TABLENAME = cLINE_TABLENAME
     fOrderDetails.Show vbModal
     
     '//////////////////////////////////////////////////////
     Exit Sub
ErrHandle:
     MsgBox "ERROR IN " & cModuleName & " - ButtonOrderDetails_CLICK :  " & Err.Number & " - " & Err.Description, vbOKOnly, "ERROR"
End Sub
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
Private Sub ButtonExtraFields_CLICK()
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
     On Error GoTo ErrHandle
     '//////////////////////////////////////////////////////
     If CStr(oRecordInfo.GetRecordBufferFieldString(cLINE_TABLENAME, "artcode")) = "" _
     Or CStr(oRecordInfo.GetRecordBufferFieldString(cLINE_TABLENAME, "ar_soort")) = "P" Then
          MsgBox "You must be in a grid line with an item number", vbOKOnly, "Cannot Add Document to this line"
     Else

          Set fExtraFields = New frmExtraFields
          Set fExtraFields.oRecordInfo = oRecordInfo
          fExtraFields.LINE_TABLENAME = cLINE_TABLENAME
          
          fExtraFields.Show vbModal
          
     End If
          
     '//////////////////////////////////////////////////////
     Exit Sub
ErrHandle:
     MsgBox "ERROR IN " & cModuleName & " - ButtonLineNotes_CLICK :  " & Err.Number & " - " & Err.Description, vbOKOnly, "ERROR"
End Sub
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////































 '//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
Private Sub ButtonTEST_CLICK()
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
     On Error GoTo ErrHandle
     '//////////////////////////////////////////////////////
     
     
          '/////////////////////////////////////////////////////////
'     Dim DBQueryLOC As CSSDKFuncDBQuery.SDKDBQuery
'     Dim qrLoc As CSSDKFuncDBQuery.SDKQuery
'     Dim SQL As String
'
'     Dim vItems() As Variant
'     Dim vValues(1) As Variant
'     Dim iCount As Integer
'
'     ' __________________ CONNECT SDK ___________________
'     Call Connect_Via_Dispatcher(hApp)
'     ' _______________________________________________________
'     Set DBQueryLOC = New CSSDKFuncDBQuery.SDKDBQuery
'
'     'Initialize DB Query
'     Call DBQueryLOC.InitializeSDKConnection(gConnSDK)
'
'
'     SQL = "sp_insertcmsnote 'fileno', 'F', 'MySubject', 'MyNote'"
'
'     DBQueryLOC.Execute SQL
'
'     ' _______________  DISCONNECT SDK   __________________
'     Call Disconnect_Globe
'     ' _______________________________________________________
     
     
     '*************************
     
     
'
'               Dim x As Variant
'               gFileNumber = "ABC"
'               x = oEEC.EEC(xecProjectCode).Value
'               oEEC.EEC(xecProjectCode).Value = gFileNumber
'               If oEEC.EEC(xecProjectCode).Validate = False Then
'                    oEEC.EEC(xecProjectCode).Value = x
'               End If
'               MsgBox "x" & oEEC.EEC(xecProjectCode).Value
'
'               x = oEEC.EEC(xecProjectCode).Value
'               oEEC.EEC(xecProjectCode).Value = 40
'               If oEEC.EEC(xecProjectCode).Validate = False Then
'                    oEEC.EEC(xecProjectCode).Value = x
'               End If
'               MsgBox "x" & oEEC.EEC(xecProjectCode).Value
              ' MsgBox "xDone"
  
     '//////////////////////////////////////////////////////
     Exit Sub
ErrHandle:
     MsgBox "ERROR IN " & cModuleName & " - BUTTON_TEST_CLICK :  " & Err.Number & " - " & Err.Description, vbOKOnly, "ERROR"
End Sub
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////




'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
Private Sub XXXXXXX()
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
     On Error GoTo ErrHandle
     '//////////////////////////////////////////////////////
     '//////////////////////////////////////////////////////
     Exit Sub
ErrHandle:
     '************ SEND THE ERROR UP TO THE CALLING FUNCTION *******
     Err.Raise Err.Number, "ERROR IN " & cModuleName & " - xxxxx :  " & Err.Number & " - " & Err.Description, , "ERROR"
End Sub
'//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


