Attribute VB_Name = "modSDKErrorHandlers"
Option Explicit

Public Sub DisplaySDKError_ALL(myComponent As Object)
     Call DisplaySDKError(myComponent)
     Call DisplaySDKError_ValidationMessages(myComponent)
End Sub

Public Sub DisplaySDKError(myComponent As Object)
    MsgBox myComponent.ErrorNumber & ": " & myComponent.ErrorDescription, vbOKOnly, "SDK ERROR"
End Sub

Public Sub DisplaySDKError_ValidationMessages(myComponent As Object)
    Dim sErrorMessage As String
    Dim lErrorCount As Long
    Dim l As Long
    
    lErrorCount = myComponent.ErrorCount
    For l = 1 To lErrorCount
        sErrorMessage = sErrorMessage & myComponent.ErrorDetails(l) & vbCrLf
    Next
    
    If Len(sErrorMessage) > 0 Then
        MsgBox sErrorMessage, vbOKOnly, "SDK ERROR"
    End If
    
End Sub

