VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "Print Report"
   ClientHeight    =   7290
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   5595
   LinkTopic       =   "Form1"
   ScaleHeight     =   7290
   ScaleWidth      =   5595
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdExit 
      Caption         =   "&Exit"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   4080
      TabIndex        =   2
      ToolTipText     =   "Launch Header Form"
      Top             =   6720
      Width           =   1335
   End
   Begin VB.CommandButton cmdPrintReport 
      Caption         =   "&Print Report"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   4080
      TabIndex        =   0
      ToolTipText     =   "Launch Header Form"
      Top             =   240
      Width           =   1335
   End
   Begin VB.Label lbl1 
      Caption         =   "Results"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   6975
      Left            =   240
      TabIndex        =   1
      Top             =   120
      Width           =   4575
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
'///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
' CONSTANTS for SQL DUMPS TO EXCEL
'///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
Const SQL1 As String = "Select top 25 ItemCode,  Description,    SecurityLevel,  Type Assortment from items"
Const cWKSName1 As String = "Items"                                     ' WORKSHEET NAME
Const cTitle1 As String = "Items"                                             ' TITLE


'///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


Private Sub cmdPrintReport_Click()
     On Error GoTo ErrHandle
     '^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
     Dim rsLocal As ADODB.Recordset         'Cicmpy table
     Dim sqlLocal As String
    
    '/////////////////////////////////////////////////
    
     Call Connect_Via_Globe(frmMain.hWnd)

    '/////////////////////////////////////////////////
    
     Call Connect_ADO(gConnSDK.Database, gConnSDK.ServerName)
     
    '/////////////////////////////////////////////////
     
    'Create Recordset Object
    Set rsLocal = New ADODB.Recordset
    
    'Open Recordset1
    If SQL1 = "" Then
        MsgBox "No SQL1 Statement", , "No SQL1"
        Set rsLocal = Nothing
        Exit Sub
    End If
    rsLocal.Open SQL1, gConnADO.ConnectionString, adOpenForwardOnly, adLockReadOnly

    'Check values in table
    If rsLocal.BOF Then
        MsgBox "No records in SQL1", vbOKOnly, "No Records"
        Debug.Print SQL1
    Else
        Call modExportToScreen.ExportToScreen(rsLocal)
    End If
    
    rsLocal.Close
    
    
    Set rsLocal = Nothing
    MsgBox "COMPLETED", , "COMPLETED"
    
    Call DestroyConnection
 
    '^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
    Exit Sub
ErrHandle:
    Select Case Err.Number
        Case -2147467259
            MsgBox "Incorrect Sql Server Name " & vbCrLf & vbCrLf & "  or  Database does not exist" _
                       & vbCrLf & vbCrLf & "Please check and try again", vbOKOnly, "Login Error"
        Case 364  'Object was unloaded - This occurs when called frmLogin.show in a routine called by Unload of frm
        '    Resume Next
        Case Else
            MsgBox "Error Number:  " & Err.Number & vbCrLf & Err.Description, _
                vbCritical, "Error in 'frmLogin - cmdPrintReport_click' procedure "
    End Select
End Sub

'///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

'///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

Private Sub cmdExit_Click()
    On Error GoTo ErrHandle
    '^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
    Unload Me
    
    '^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
    Exit Sub
ErrHandle:
    MsgBox "Error Number:  " & Err.Number & vbCrLf & Err.Description, _
    vbCritical, "Error in ' frmLogin - cmdExit_click ' procedure "
End Sub



'///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'////////////////       EVENT PROCEDURES               ///////////////////////////////////////////////////////////////////
'///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////



'///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'////////////////       UNLOAD PROCEDURES               ////////////////////////////////////////////////////////////////
'///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'UNLOAD PROCEDURES
Private Sub Form_Unload(Cancel As Integer)
    On Error GoTo ErrHandle
    '^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
    Set gConn = Nothing
    
    '^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
    Exit Sub
ErrHandle:
    MsgBox "Error Number:  " & Err.Number & vbCrLf & Err.Description, _
    vbCritical, "Error in ' frmLogin - Form_Unload ' procedure "
End Sub




