Attribute VB_Name = "modGlobal"
Option Explicit
Public gServerName As String
Public gDatabaseName As String
Public gConn As ADODB.Connection
Public gLoginFailure As Boolean

'///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
'////////////////       CREATE CONNECTION          ///////////////////////////////////////////////////////////////////////
'///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
Public Sub CreateConnection()
    On Error GoTo ErrHandle

    Dim cnConnection As String
    cnConnection = "DRIVER={SQL Server};SERVER=" & gServerName _
          & ";DATABASE=" & gDatabaseName & ";Trusted_Connection=YES"

    Set gConn = New Connection
    gConnADO.ConnectionString = cnConnection
    
    '^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
    'Test connection
    gConnADO.Open
    gConnADO.Close
    
    '^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
    Exit Sub
ErrHandle:
    Select Case Err.Number
        Case -2147467259
            'Incorrect Sql Server Name - pass to calling procedure
            gLoginFailure = True
            Err.Raise Err.Number
        Case Else
            gLoginFailure = True  ' This will terminate the cmdOpen procedure.
            MsgBox "Error Number:  " & Err.Number & vbCrLf & Err.Description, _
            vbCritical, "Error in ' modGlobal - CreateConnection ' procedure "
        End Select

End Sub

'///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
Public Sub DestroyConnection()
    On Error GoTo ErrHandle

    Set gConn = Nothing
    
    '^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
    Exit Sub
ErrHandle:
    Select Case Err.Number
        Case -2147467259
            'Incorrect Sql Server Name - pass to calling procedure
            gLoginFailure = True
            Err.Raise Err.Number
        Case Else
            gLoginFailure = True  ' This will terminate the cmdOpen procedure.
            MsgBox "Error Number:  " & Err.Number & vbCrLf & Err.Description, _
            vbCritical, "Error in ' modGlobal - destroyConnection ' procedure "
        End Select

End Sub



